Issue 25937

Summary: Support installation of configuration data by native installers
Product: utilities Reporter: joerg.barfurth
Component: codeAssignee: Olaf Felka <olaf-openoffice>
Status: CLOSED FIXED QA Contact: Unknown <non-migrated>
Severity: Trivial    
Priority: P3 CC: issues
Version: 680   
Target Milestone: OOo 2.0   
Hardware: All   
OS: All   
URL: http://specs.openoffice.org/installation/native_installer/scp-to-officecfg.sxw
Issue Type: FEATURE Latest Confirmation in: ---
Developer Difficulty: ---

Description joerg.barfurth 2004-02-27 08:37:41 UTC
For the introduction of native installers, it is necessary to provide a
replacement for the built-in capabilities of the old setup application.

The old setup had builtin support for writing configuration data by using the
UNO API. There needs to be a replacement that achieves the same effect by
installing files and running command-line tools.

The old mechanism had some undesirable peculiarities, which should be remedied
in the new desing. One of these is captured in issue #i20537#.
Comment 1 joerg.barfurth 2004-02-27 09:01:24 UTC
accepting
Comment 2 joerg.barfurth 2004-06-14 09:36:15 UTC
Implemented in CWS scp2officecfg
Comment 3 joerg.barfurth 2004-06-22 14:04:38 UTC
Reopening to reassign

Comment 4 joerg.barfurth 2004-06-22 14:05:10 UTC
.
Comment 5 joerg.barfurth 2004-06-22 14:05:46 UTC
Implemented in CWS scp2officecfg
Comment 6 Olaf Felka 2004-07-01 14:43:45 UTC
of: Verified in CWS scp2officecfg.
Comment 7 Olaf Felka 2004-09-21 10:32:14 UTC
of: ok in src680m54.